import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

// import { ProbeModule } from 'packages/probe/probe.module';
import { ProbePageComponent } from './probe-page.component';
import { ProbePageRoutingModule } from './probe-page-routing.module';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';
import { ProbeModule } from 'packages/probe/probe.module';
import { TabbarModule } from 'app/commons/component/layout/tabbar/app.tabbar.module';
import { NoauthModule } from 'packages/noauth/noauth.module';
import { ProbeListComponent } from './probe/list.component';
import { ProbeDetailComponent } from './probe/detail.component';

@NgModule({
  imports: [
    CommonModule,
    ProbePageRoutingModule,
    PrimeNGModules,
    ProbeModule,
    NoauthModule,
    TabbarModule,
  ],
  declarations: [
    ProbePageComponent,
    ProbeListComponent,
    ProbeDetailComponent
  ]
})
export class ProbePageModule { }
